package com.fjhx.purchase.service.sales;

import com.fjhx.purchase.entity.sales.po.SalesReturnDetail;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.sales.vo.SalesReturnDetailVo;
import com.fjhx.purchase.entity.sales.dto.SalesReturnDetailSelectDto;
import com.fjhx.purchase.entity.sales.dto.SalesReturnDetailDto;


/**
 * <p>
 * 到货明细单 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface SalesReturnDetailService extends BaseService<SalesReturnDetail> {

    /**
     * 到货明细单分页
     */
    Page<SalesReturnDetailVo> getPage(SalesReturnDetailSelectDto dto);

    /**
     * 到货明细单明细
     */
    SalesReturnDetailVo detail(Long id);

    /**
     * 到货明细单新增
     */
    void add(SalesReturnDetailDto salesReturnDetailDto);

    /**
     * 到货明细单编辑
     */
    void edit(SalesReturnDetailDto salesReturnDetailDto);

    /**
     * 到货明细单删除
     */
    void delete(Long id);

}
